Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management
Interface NotificationEmitter

All Superinterfaces:
  NotificationBroadcaster

All Known Subinterfaces:
  MBeanInvoker

All Known Implementing Classes:
  AbstractMBeanInvoker, JBossNotificationBroadcasterSupport, MBeanServerDelegate, NotificationBroadcasterSupport, RequiredModelMBean, UnifiedLoaderRepository3

public interface NotificationEmitter
extends NotificationBroadcaster

This interface must be implemented by all MBeans that emit notifications. This interface should be used in preference to NotificationBroadcaster.

Version:
  $Revision: 1.3 $
Author:
  Adrian Brock.
See Also:
  `NotificationBroadcaster`, `NotificationFilter`, `NotificationListener`

Method Summary
`void` | `removeNotificationListener(NotificationListener listener, NotificationFilter filter, Object handback)` Removes a listener from the Emitter.

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### removeNotificationListener

    public void removeNotificationListener(NotificationListener listener,
                                           NotificationFilter filter,
                                           Object handback)
                                    throws ListenerNotFoundException

  Removes a listener from the Emitter.

  Only the listener, filter, handback triplet is removed

  Parameters:
    `listener` - the listener object to remove
    `filter` - the filter registered with the listener
    `handback` - the handback object associated with the registered listener
  Throws:
    `ListenerNotFoundException` - if the listener was not found

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.